Totals for custom field with different field format

2015-12-03 15:29 - Sebastian Paluch

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

Please change the #1561 implementation so that FieldFormat class determines if the custom field is totalable or not.

e.g.

class QueryCustomFieldColumn < QueryColumn

  def initialize(custom_field)

    self.name = "cf_#{custom_field.id}".to_sym

    self.sortable = custom_field.order_statement || false

    self.groupable = custom_field.group_statement || false

    self.totalable = custom_field.totalable

    @inline = true

    @cf = custom_field

  end

 We have a plugin adding custom fields with field_format different than int and float and would like to use totalable feature for those

custom fields.

Related issues:

Related to Redmine - Feature #1561: Totals for estimated/spent time and numer... Closed 2008-07-02

Associated revisions

Revision 14944 - 2015-12-05 11:01 - Jean-Philippe Lang

Moved custom fields totals logic to FieldFormat (#21413).

Revision 14945 - 2015-12-05 11:12 - Jean-Philippe Lang

Merged r14944 (#21413).

History

#1 - 2015-12-05 11:01 - Jean-Philippe Lang

- Related to Feature #1561: Totals for estimated/spent time and numeric custom fields on the issue list added

#2 - 2015-12-05 11:03 - Jean-Philippe Lang

- Category changed from Issues to Code cleanup/refactoring

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

See r14944, you can enable totals for your custom field formats.
